Access

Update a user-owned Postdot API key

PATCH
/api/api-keys/{keyId}

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

keyId*string
Length1 <= length

Request Body

  1. body
Properties1 <= properties
name?string
Length1 <= length <= 100
projectIds?array<>|null
actionAccess?array<string|string|string|string|string|string|string>|null
expiresAt?|null

Response Body

Response for status 200

application/json
  1. response
key*
Example Request
curl -X PATCH 'https://postbot.example/api/api-keys/string' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "key": {
    "id": "string",
    "name": "string",
    "tokenPrefix": "string",
    "projectAccess": "all",
    "actionAccess": "all",
    "expiresAt": 0,
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?